Page MenuHomePhabricator

Allow parameters & wildcards in federation endpoint whitelists
Closed, ResolvedPublic

Description

Some SPARQL endpoints, like dbpedia, accept parameters: http://dbpedia.org/sparql?default-graph-uri=http%3A%2F%2Fdbpedia.org

It was requested by users to make whitelist support these endpoints.

Details

Related Gerrit Patches:
wikidata/query/blazegraph : masterAllow wildcards in the service whitelist

Event Timeline

Restricted Application added projects: Wikidata, Discovery. · View Herald TranscriptJun 10 2018, 9:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Couldn't be set as prefix or variable?

I found that some of these are passed through or work.

Smalyshev triaged this task as Medium priority.Jun 21 2018, 10:45 PM
Vvjjkkii renamed this task from Allow parameters & wildcards in federation endpoint whitelists to 1abaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 1abaaaaaaa to Allow parameters & wildcards in federation endpoint whitelists.Jul 2 2018, 2:57 PM
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

Change 514630 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[wikidata/query/blazegraph@master] Allow wildcards in the service whitelist

https://gerrit.wikimedia.org/r/514630

Change 514630 merged by Smalyshev:
[wikidata/query/blazegraph@master] Allow wildcards in the service whitelist

https://gerrit.wikimedia.org/r/514630

The SERVICE <http://dbpedia.org/sparql?default-graph-uri=http%3A%2F%2Fdbpedia.org> now is allowed, but still does not work:

Unknown error: Status Code=400, Status Line=Bad Request, Response=Virtuoso 22023 Error The request does not contain text of SPARQL query

Need to look more into this.

Smalyshev closed this task as Resolved.Jun 26 2019, 6:43 AM

Wildcards work now but the federation still does not because of T226603.